#include <iostream>
#include <tgmath.h>
using namespace std;
main(){
	int L,R,b=0,p,q,r,N;
	cin>>p>>q>>r>>L>>R;
	for(double i = L;i<=R;i++){
		N=i;
		N=N-ceil(i/p);
		N=N-ceil(i/q);
		N=N-ceil(i/r);
		if(N>=0.0){
			b++;
		}
	}
	cout<<b;
}